# Data From Text file to Excel - Select from combobox
#www.Tricks12345.com ... Pavan Kumar Gundlapalli
#============================================
import pandas as pd
from tkinter import *
from tkinter.ttk import *
from tkinter import messagebox
layout = Tk()
layout.title("Export the data from text file to excel")
layout.geometry('300x200')
df = pd.read_csv("Sales.txt", delimiter = ',')
q = list(df.shape); totalrows = q[0]; totalcolumns = q[1]
#=============================================
labl1 = Label(layout, text = 'From the Row', font=("calibri", 11))
labl1.grid(column=0, row=0)
combo = Combobox(layout, width = 15, font=("calibri", 11))
combo.grid(column = 1, row = 0)
rownumbers = []
for i in range(totalrows):
    rownumbers.append(i)    
combo['values'] = rownumbers
combo.current(1)
#=============================================
labl2 = Label(layout, text = 'Upto the row', font=("calibri", 11))
labl2.grid(column=1, row=1)
combo1 = Combobox(layout, width = 15,  font=("calibri", 11))
combo1.grid(column = 0, row = 1)
combo1['values'] = rownumbers
combo1.current(4)
#==============================================     
import openpyxl
wkb = openpyxl.Workbook()
sh = wkb.active
sh.title = 'Text file to Excel'
def ExportData():     
 minrow  = combo.get(); maxrow = combo1.get()
 rownumber = 1
 if minrow > maxrow:
     print("minrow should be greater than max row")
 elif minrow < maxrow:
    for  rowdata in range(int(minrow), int(maxrow)):
        columnnumber = 1
        for columndata in range(len(df.columns)):
            result =  df.iloc[rowdata,columndata]        
            sh.cell(row =  int(rownumber)+4, column = int(columnnumber)+2).value = result
            columnnumber = columnnumber +1
        rownumber = rownumber +1    
    j = len((list(df.columns)))
    for h in range(j):
         sh.cell(row = 3, column = int(h)+3).value = int(h)
         sh.cell(row = 4, column = int(h)+3).value = df.columns[h]
    wkb.save("Data_Exported_from_Textfile_to_ExcelWorkbook.xlsx") 
btn = Button(layout, text = 'Export Text file to Excel',width = 25, command = ExportData )
btn.grid(column =0, row = 2)
layout.mainloop()
